OptFEM3DP1 Toolbox: Opt/MassVFAssembling3DP1OptV0.m File Reference

| OptFEM3DP1 Toolbox 20130614_170440 Matlab/Octave Optimized P1-Lagrange Finite Element Method in 3D

- Main Page
- Related Pages
- Files

- File List
- File Members

All Files Functions Variables Pages
Functions
MassVFAssembling3DP1OptV0.m File Reference

Assembly of the Mass vectors fields Matrix by -Lagrange finite elements in 3D using OptV0 version (see report). More...

Go to the source code of this file.

## Functions
function M = | MassVFAssembling3DP1OptV0 (nq, nme, me, volumes, Num)
| Assembly of the Mass vectors fields Matrix by -Lagrange finite elements in 3D using OptV0 version (see report).

## Detailed Description

Assembly of the Mass vectors fields Matrix by -Lagrange finite elements in 3D using OptV0 version (see report).

Definition in file MassVFAssembling3DP1OptV0.m.

## Function Documentation

function M = MassVFAssembling3DP1OptV0 | ( |  | nq,
|  |  | nme,
|  |  | me,
|  |  | volumes,
|  |  | Num
| ) |  |

Assembly of the Mass vectors fields Matrix by -Lagrange finite elements in 3D using OptV0 version (see report).

The Mass vectors fields is given by

where are -Lagrange vector basis functions.

Example

          Th=CubeMesh(10);
          Mvf=MassVFAssembling3DP1OptV0(Th.nq,Th.nme,Th.me,Th.areas,0);

See Also
  BuildIkFunc, BuildElemMassVFMatFunc

Copyright
  See License issues

Parameters

  nq | total number of vertices, also denoted by .
  nme | total number of elements, also denoted by .
  me | Connectivity array, array. is the storage index of the -th vertex of the -th tetrahedron in the array of vertices coordinates, and .
  volumes | Array of volumes, . volumes(k) is the volume of the k-th tetrahedron.
  Num | 0 global alternate numbering with local alternate numbering (classical method), 1 global block numbering with local alternate numbering, 2 global alternate numbering with local block numbering, 3 global block numbering with local block numbering.

Return values

  M | Global Mass vectors fields sparse matrix

Definition at line 17 of file MassVFAssembling3DP1OptV0.m.